# PetscMatlabEnginePutArray

Puts a Petsc object into the Matlab space. For parallel objects, each processors part is put in a separate Matlab process.

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscMatlabEnginePutArray(PetscMatlabEngine mengine,int m,int n,PetscScalar *array,const char name[])

Collective on PetscObject

### Input Parameters

| mengine | - the Matlab engine
| m,n | - the dimensions of the array
| array | - the array (represented in one dimension)
| name | - the name of the array

### See Also

PetscMatlabEngineDestroy(), PetscMatlabEngineCreate(), PetscMatlabEngineGet(),
PetscMatlabEngineEvaluate(), PetscMatlabEngineGetOutput(), PetscMatlabEnginePrintOutput(), PETSC_MATLAB_ENGINE_(), PetscMatlabEnginePut(), MatlabEngineGetArray(), PetscMatlabEngine

Level:advanced
Location: src/sys/matlabengine/matlab.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages